geos::operation::intersection::RectangleIntersectionBuilder Class Reference

Rebuild geometries from subpaths left by clipping with a rectangle. More...

`#include <RectangleIntersectionBuilder.h>`

## Friends

class | RectangleIntersection

## Detailed Description

Rebuild geometries from subpaths left by clipping with a rectangle.

The RectangleIntersectionBuilder is used to maintain lists of polygons, linestrings and points left from clipping a geom::Geometry with a Rectangle. Once all clipping has been done, the class builds a valid geom::Geometry from the components.

Note
  This is a utility class needed by RectangleIntersection, and is not intended for public use.

The documentation for this class was generated from the following file:

- RectangleIntersectionBuilder.h